<?php

// $Id$

/*
 * @author Adam Westerski 
 * @file ideastream_idea.ccknodedef
 * ideastream Module
 */
 
/*
 * New content types definitions (exported with CCK)
 */
function _ideastream_idea_cck_export() {
  // paste code after this line.
	$content['type']  = array (
	  'name' => 'Idea',
	  'type' => 'idea',
	  'description' => 'An idea is a textual description of new innovative proposals towards products, services or processes. Ideas are proposals to introduce a change into the current state above what is available.',
	  'title_label' => 'Idea',
	  'body_label' => 'Idea Description',
	  'min_word_count' => '0',
	  'help' => 'To post a new idea please fill the <b>Idea Title</b> and <b>Idea Description</b>. The <b>Title</b> should suggest in general what the idea is about while the <b>Description</b> should give a clear overview what feature is proposed by the idea.',
	  'node_options' => 
	  array (
	    'status' => true,
	    'promote' => true,
	    'sticky' => false,
	    'revision' => false,
	  ),
	  'old_type' => 'idea',
	  'orig_type' => '',
	  'module' => 'node',
	  'custom' => '1',
	  'modified' => '1',
	  'locked' => '0',
	  'rdf_schema_class' => '',
	  'comment' => '2',
	  'comment_default_mode' => '4',
	  'comment_default_order' => '1',
	  'comment_default_per_page' => '50',
	  'comment_controls' => '3',
	  'comment_anonymous' => '0',
	  'comment_subject_field' => '1',
	  'comment_preview' => '0',
	  'comment_form_location' => '0',
	);
	$content['fields']  = array (
	  0 => 
	  array (
	    'label' => 'Idea Contest',
	    'field_name' => 'field_idea_contest',
	    'type' => 'nodereference',
	    'widget_type' => 'nodereference_buttons',
	    'change' => 'Change basic information',
	    'weight' => '31',
	    'autocomplete_match' => 'contains',
	    'size' => 60,
	    'description' => 'Choose an Idea Contest that you want to submit you idea to. Optionally if you wish to submit a generic idea don\'t select any value.',
	    'default_value' => 
	    array (
	      0 => 
	      array (
	        'nid' => '',
	      ),
	    ),
	    'default_value_php' => '',
	    'default_value_widget' => NULL,
	    'group' => false,
	    'required' => 0,
	    'multiple' => '0',
	    'referenceable_types' => 
	    array (
	      'contest' => 'contest',
	      'idea' => 0,
	      'page' => 0,
	      'sparql' => 0,
	      'story' => 0,
	      'review' => false,
	      'comment' => false,
	    ),
	    'advanced_view' => '--',
	    'advanced_view_args' => '',
	    'op' => 'Save field settings',
	    'module' => 'nodereference',
	    'widget_module' => 'nodereference',
	    'columns' => 
	    array (
	      'nid' => 
	      array (
	        'type' => 'int',
	        'unsigned' => true,
	        'not null' => false,
	        'index' => true,
	      ),
	    ),
	    'rdf_property' => '',
	    'display_settings' => 
	    array (
	      'label' => 
	      array (
	        'format' => 'above',
	        'exclude' => 0,
	      ),
	      'teaser' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      'full' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      4 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	    ),
	  ),
	  1 => 
	  array (
	    'label' => 'Idea Review',
	    'field_name' => 'field_review',
	    'type' => 'nodereference',
	    'widget_type' => 'nodereference_autocomplete',
	    'change' => 'Change basic information',
	    'weight' => '32',
	    'autocomplete_match' => 'contains',
	    'size' => '60',
	    'description' => 'Type in names of idea reviews to link with this idea',
	    'default_value' => 
	    array (
	      0 => 
	      array (
	        'nid' => NULL,
	        '_error_element' => 'default_value_widget][field_review][0][nid][nid',
	      ),
	    ),
	    'default_value_php' => '',
	    'default_value_widget' => 
	    array (
	      'field_review' => 
	      array (
	        0 => 
	        array (
	          'nid' => 
	          array (
	            'nid' => '',
	            '_error_element' => 'default_value_widget][field_review][0][nid][nid',
	          ),
	          '_error_element' => 'default_value_widget][field_review][0][nid][nid',
	        ),
	      ),
	    ),
	    'group' => false,
	    'required' => 0,
	    'multiple' => '1',
	    'referenceable_types' => 
	    array (
	      'review' => 'review',
	      'comment' => 0,
	      'idea' => 0,
	      'contest' => 0,
	      'page' => 0,
	      'sparql' => 0,
	      'story' => 0,
	    ),
	    'advanced_view' => '--',
	    'advanced_view_args' => '',
	    'op' => 'Save field settings',
	    'module' => 'nodereference',
	    'widget_module' => 'nodereference',
	    'columns' => 
	    array (
	      'nid' => 
	      array (
	        'type' => 'int',
	        'unsigned' => true,
	        'not null' => false,
	        'index' => true,
	      ),
	    ),
	    'rdf_property' => '',
	    'display_settings' => 
	    array (
	      'label' => 
	      array (
	        'format' => 'above',
	        'exclude' => 0,
	      ),
	      'teaser' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      'full' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      4 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      2 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      3 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	    ),
	  ),
	);
	$content['extra']  = array (
	  'title' => '-5',
	  'body_field' => '0',
	  'revision_information' => '20',
	  'author' => '20',
	  'options' => '25',
	  'comment_settings' => '30',
	  'menu' => '-2',
	  'taxonomy' => '-3',
	  'vud_node_widget_display' => '-10',
	  'workflow' => '10',
	);
  // paste code before this line.
  return $content;
}

